# TMR_ISO180006B_Select Struct Reference
[Tag filters]

`#include <tmr_iso180006b.h>`

List of all members.

## Public Attributes

bool | invert
TMR_ISO180006B_SelectOp | op
uint8_t | address
uint8_t | mask
uint8_t | data [8]

## Detailed Description

A single selection operation in the ISO18000-6B protocol.

## Member Data Documentation

uint8_t TMR_ISO180006B_Select::address

The address of the tag memory to compare to the provided data.

uint8_t TMR_ISO180006B_Select::data[8]

The data to compare. Exactly eight bytes.

bool TMR_ISO180006B_Select::invert

Whether to invert the selection (deselect tags that meet the comparison).

uint8_t TMR_ISO180006B_Select::mask

Bitmask of which of the eight provided data bytes to compare to the tag memory.

TMR_ISO180006B_SelectOp TMR_ISO180006B_Select::op

The operation to use to compare the tag data to the provided data.

The documentation for this struct was generated from the following file:

- tmr_iso180006b.h